# norootforbuild

Name:		guake
Version:	0.4.2
Release:	2.pm.6.2

Summary:	A top-down terminal for Gnome
License:	GPLv2
Group:		System/X11/Terminals
URL:		http://guake.org/

Source0:	%{name}-%{version}.tar.gz

%if %suse_version >= 1140
Requires:	python-vte
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gconf2-devel gtk2-devel intltool pkg-config python-devel
BuildRequires:	python-gtk-devel vte-devel update-desktop-files

%if %suse_version >= 1140
BuildRequires:  python-vte
%endif

%gconf_schemas_prereq


%description
Guake is a top-down terminal for Gnome (in the style of Yakuake for KDE, Tilda
or the terminal used in Quake).


%prep
%setup -q -n %{name}-%{version}


%build
%configure --disable-static
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall

%__rm -rf %{buildroot}/%{_datadir}/locale/no


for file in %{_datadir}/applications/%{name}.desktop \
	    %{_datadir}/applications/%{name}-prefs.desktop \
	    %{_sysconfdir}/xdg/autostart/%{name}.desktop
	do
	%suse_update_desktop_file -r %{buildroot}/$file System TerminalEmulator
done

%find_lang %{name}
%find_gconf_schemas


%pre -f %{name}.schemas_pre
%preun -f %{name}.schemas_preun
%posttrans -f %{name}.schemas_posttrans


%clean
%__rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%config %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-prefs
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-prefs.desktop
%{_datadir}/dbus-1/services/org.guake.Guake.service
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*
%if %suse_version <= 1130
%{_datadir}/gconf/schemas/%{name}.schemas
%else
%{_datadir}/GConf/schemas/%{name}.schemas
%endif

%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun Sep 12 2010 detlef@links2linux.de
- initial build for PackMan <0.4.2>
